Package com.xebialabs.xlrelease.domain.variables.reference

# Class PropertyUsagePoint

java.lang.Object
com.xebialabs.xlrelease.domain.variables.reference.PropertyUsagePoint

All Implemented Interfaces:
  `UsagePoint`

public class PropertyUsagePoint extends Object implements UsagePoint
This usage point means that given property value mentions a variable, e.g. a string property "Some ${var}" or a list property ['value1', 'value 2 with ${var}"].

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PropertyUsagePoint(ConfigurationItem item, String property)`
  `PropertyUsagePoint(ConfigurationItem item, String property, VariableReference.VariableUsageType defaultType)`
  `PropertyUsagePoint(CiProperty ciProperty)`
  `PropertyUsagePoint(CiProperty ciProperty, VariableReference.VariableUsageType defaultType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,VariableReference.VariableUsageType>`
  `collectVariables()`
  `boolean`
  `equals(Object o)`
  `CiProperty`
  `getTargetProperty()`
  `int`
  `hashCode()`
  `Set<ConfigurationItem>`
  `replaceVariable(Variable variable, VariableOrValue replacement)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PropertyUsagePoint

    public PropertyUsagePoint(CiProperty ciProperty)

  - ### PropertyUsagePoint

    public PropertyUsagePoint(CiProperty ciProperty, VariableReference.VariableUsageType defaultType)

  - ### PropertyUsagePoint

    public PropertyUsagePoint(ConfigurationItem item, String property)

  - ### PropertyUsagePoint

    public PropertyUsagePoint(ConfigurationItem item, String property, VariableReference.VariableUsageType defaultType)

- ## Method Details

  - ### collectVariables

    public Map<String,VariableReference.VariableUsageType> collectVariables()
    Specified by:
      `collectVariables` in interface `UsagePoint`

  - ### replaceVariable

    public Set<ConfigurationItem> replaceVariable(Variable variable, VariableOrValue replacement)
    Specified by:
      `replaceVariable` in interface `UsagePoint`

  - ### getTargetProperty

    public CiProperty getTargetProperty()
    Specified by:
      `getTargetProperty` in interface `UsagePoint`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`